import type { FileIdUnboxed } from "./FileIdUnboxed";
import type { FilePartCountUnboxed } from "./FilePartCountUnboxed";
import type { UploadPartDto } from "./UploadPartDto";
/**
 * File upload initialization response.
 */
export declare type BeginUploadResponseDto = {
    fileId: FileIdUnboxed;
    uploadParts: {
        first: UploadPartDto;
        count: FilePartCountUnboxed;
    };
};
